From: [email-masked]
Date: Fri, 19 May 1995 10:30:02 -0400

greetings: i would very much appreciate it if you could include our gay owned
and operated business in your listing! here is the info........ our business
is called Harmony Designs and is located at 496 nort orange blossom trail ,
orlando florida 32715..our phone is 407-481-9850 fax is 407-886-0460..owners
are john d. acra and stephen M. Watrous...we are central florida's " pride
headquarters" we feature unique handmade pride jewelry, t-shirts, cards,
artwork. antiques, and lots of other fun things ! thanks for your help! stop
in and see us !......stephen